Subject: Re: basename() implementation?
From: [email-masked] (Joshua Kwan)
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Thu, 1 May 2003 21:11:23 -0700

On Fri, May 02, 2003 at 12:03:06AM -0400, Charles Wilson wrote:
> (2) there is a new feature in CVS binutils, where .exe's can have export 
> tables.  (The currently released cygwin binutils doesn't have this, yet, 
> but it'll come, eventually).  Anyway, once you build the .exe with the 
> export table (using a .def file or __declspec(dllexport) decorators), 
> you then use dlltool to create an import library (.dll.a) **for the 
> .exe**.  Then, you build the DLL and link against that import lib.
> 
> #2 is obviously more cutting edge, and I haven't tested it.  But it 
> should work in principle.  There are some hooks in libtool-1.5 to 
> support this mode, as well, but they haven't been tested (because it's 
> dependent on a new binutils release).

Very cool! Which versions would these be so I can keep track of when I
should be able to try this out?

Regards,
Josh

-- 
New PGP public key: 0x27AFC3EE